% sty. %%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% style-document which was written for the KIF Konferenzheft of KIF49,0 in Göttingen
% Funcionality: some special style commands
% May be freely reutilized
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\NeedsTeXFormat{LaTeX2e}
\ProvidesPackage{KIFstyle}[2021/04/18 KIF-Konferenzheft additional style-commands]

%%%%%% Additional packages required %%%%%%
%\RequirePackage{ifthen}
%enables using colors
\RequirePackage{xcolor}
%enables custom footer/header editing
\RequirePackage{scrlayer-scrpage}
%Advanced Geometry Creation
\RequirePackage{tikz}
%Advanced Colorbox creation
%%Needed for setting a picture as background for one/all pages%%
\RequirePackage{eso-pic,transparent}
%%Needed for creating nice colored boxes with rounded corners%%
\RequirePackage{tcolorbox}
%Package for including pdf because Ablaufplan was pdf
\RequirePackage{pdfpages}

%%%%%% Custom colors %%%%%%%
\definecolor{darkerblue}{rgb}{0.145, 0.427, 0.718}
\definecolor{lighterblue}{rgb}{0.94, 0.96, 1.0}

%%%%%% Custom styling command %%%%%%
%environment which styles important time/location information with color and spacing
\newcommand{\eventtimeinfo}[2]{
\vspace*{2pt}
\begin{tcolorbox}[top=-3mm,bottom=-4mm,width=0.55\textwidth]
	\textbf{
	\begin{tabbing}
	xxxxxxx\=xxxxxxxx\kill
	Wo? \>#1\\
	Wann? \>#2\\
	\end{tabbing}
	}
\end{tcolorbox}	
\vspace*{-5pt}
}

%command for inserting a cutting line in order to orientad people when cutting out pages from a magazine
\newcommand{\cuttingedgeL}{
\ifpaper
\begin{tikzpicture}[remember picture,overlay,inner sep=0,outer sep=0]
     \node[circle,draw] (c) at (-0.8,-19.53){o}; 
     \node[circle,draw] (c) at (-1.0,-19.53){o}; 
     
     \node[isosceles triangle,draw,rotate=90,minimum size =0.17cm,fill=black] (T)at (-0.9,-19.37){};
     
     \draw[black,line width=1.3pt]
     ([xshift=0.6cm,yshift=-19.85cm]current page.north west) coordinate (A)--
     ([xshift=0.8cm,yshift=1.2cm]current page.south west) coordinate(B) 
     ([xshift=1.0cm,yshift=-19.85cm]current page.north west) coordinate (A)--
     ([xshift=0.8cm,yshift=1.2cm]current page.south west) coordinate(B); 
     
     \draw[black,line width=1pt] 
     ([xshift=0.75cm,yshift=-19cm]current page.north west) coordinate (A)--
     ([xshift=0.75cm,yshift=2.0cm]current page.south west) coordinate(B)
     ([xshift=0.75cm,yshift=-18cm]current page.north west) coordinate (A)--
     ([xshift=0.75cm,yshift=3.0cm]current page.south west) coordinate(B)
     ([xshift=0.75cm,yshift=-17cm]current page.north west) coordinate (A)--
     ([xshift=0.75cm,yshift=4.0cm]current page.south west) coordinate(B)
     ([xshift=0.75cm,yshift=-16cm]current page.north west) coordinate (A)--
     ([xshift=0.75cm,yshift=5.0cm]current page.south west) coordinate(B)
     ([xshift=0.75cm,yshift=-15cm]current page.north west) coordinate (A)--
     ([xshift=0.75cm,yshift=6.0cm]current page.south west) coordinate(B)
     ([xshift=0.75cm,yshift=-14cm]current page.north west) coordinate (A)--
     ([xshift=0.75cm,yshift=7.0cm]current page.south west) coordinate(B)
     ([xshift=0.75cm,yshift=-13cm]current page.north west) coordinate (A)--
     ([xshift=0.75cm,yshift=8.0cm]current page.south west) coordinate(B)
     ([xshift=0.75cm,yshift=-12cm]current page.north west) coordinate (A)--
     ([xshift=0.75cm,yshift=9.0cm]current page.south west) coordinate(B)
     ([xshift=0.75cm,yshift=-11cm]current page.north west) coordinate (A)--
     ([xshift=0.75cm,yshift=10.0cm]current page.south west) coordinate(B)
     ([xshift=0.75cm,yshift=-10cm]current page.north west) coordinate (A)--
     ([xshift=0.75cm,yshift=11.0cm]current page.south west) coordinate(B)
     ([xshift=0.75cm,yshift=-9cm]current page.north west) coordinate (A)--
     ([xshift=0.75cm,yshift=12.0cm]current page.south west) coordinate(B)
     ([xshift=0.75cm,yshift=-8cm]current page.north west) coordinate (A)--
     ([xshift=0.75cm,yshift=13.0cm]current page.south west) coordinate(B)
     ([xshift=0.75cm,yshift=-7cm]current page.north west) coordinate (A)--
     ([xshift=0.75cm,yshift=14.0cm]current page.south west) coordinate(B)
     ([xshift=0.75cm,yshift=-6.0cm]current page.north west) coordinate (A)--
     ([xshift=0.75cm,yshift=15.0cm]current page.south west) coordinate(B)
     ([xshift=0.75cm,yshift=-5cm]current page.north west) coordinate (A)--
     ([xshift=0.75cm,yshift=16.0cm]current page.south west) coordinate(B)
     ([xshift=0.75cm,yshift=-4cm]current page.north west) coordinate (A)--
     ([xshift=0.75cm,yshift=17.0cm]current page.south west) coordinate(B)
     ([xshift=0.75cm,yshift=-3cm]current page.north west) coordinate (A)--
     ([xshift=0.75cm,yshift=18.0cm]current page.south west) coordinate(B)
     ([xshift=0.75cm,yshift=-2cm]current page.north west) coordinate (A)--
     ([xshift=0.75cm,yshift=19.0cm]current page.south west) coordinate(B)
     ([xshift=0.75cm,yshift=-1.0cm]current page.north west) coordinate (A)--
     ([xshift=0.75cm,yshift=20.0cm]current page.south west) coordinate(B)
     ([xshift=0.75cm,yshift=0cm]current page.north west) coordinate (A)--
     ([xshift=0.75cm,yshift=21.0cm]current page.south west) coordinate(B);
\end{tikzpicture}
\fi
}

\newcommand{\cuttingedgeR}{
\ifpaper
\begin{tikzpicture}[remember picture,overlay,inner sep=0,outer sep=0]
     \draw[black,line width=1pt] 
     ([xshift=14.6cm,yshift=-19cm]current page.north west) coordinate (A)--
     ([xshift=14.6cm,yshift=2.0cm]current page.south west) coordinate(B)
     ([xshift=14.6cm,yshift=-18cm]current page.north west) coordinate (A)--
     ([xshift=14.6cm,yshift=3.0cm]current page.south west) coordinate(B)
     ([xshift=14.6cm,yshift=-17cm]current page.north west) coordinate (A)--
     ([xshift=14.6cm,yshift=4.0cm]current page.south west) coordinate(B)
     ([xshift=14.6cm,yshift=-16cm]current page.north west) coordinate (A)--
     ([xshift=14.6cm,yshift=5.0cm]current page.south west) coordinate(B)
     ([xshift=14.6cm,yshift=-15cm]current page.north west) coordinate (A)--
     ([xshift=14.6cm,yshift=6.0cm]current page.south west) coordinate(B)
     ([xshift=14.6cm,yshift=-14cm]current page.north west) coordinate (A)--
     ([xshift=14.6cm,yshift=7.0cm]current page.south west) coordinate(B)
     ([xshift=14.6cm,yshift=-13cm]current page.north west) coordinate (A)--
     ([xshift=14.6cm,yshift=8.0cm]current page.south west) coordinate(B)
     ([xshift=14.6cm,yshift=-12cm]current page.north west) coordinate (A)--
     ([xshift=14.6cm,yshift=9.0cm]current page.south west) coordinate(B)
     ([xshift=14.6cm,yshift=-11cm]current page.north west) coordinate (A)--
     ([xshift=14.6cm,yshift=10.0cm]current page.south west) coordinate(B)
     ([xshift=14.6cm,yshift=-10cm]current page.north west) coordinate (A)--
     ([xshift=14.6cm,yshift=11.0cm]current page.south west) coordinate(B)
     ([xshift=14.6cm,yshift=-9cm]current page.north west) coordinate (A)--
     ([xshift=14.6cm,yshift=12.0cm]current page.south west) coordinate(B)
     ([xshift=14.6cm,yshift=-8cm]current page.north west) coordinate (A)--
     ([xshift=14.6cm,yshift=13.0cm]current page.south west) coordinate(B)
     ([xshift=14.6cm,yshift=-7cm]current page.north west) coordinate (A)--
     ([xshift=14.6cm,yshift=14.0cm]current page.south west) coordinate(B)
     ([xshift=14.6cm,yshift=-6.0cm]current page.north west) coordinate (A)--
     ([xshift=14.6cm,yshift=15.0cm]current page.south west) coordinate(B)
     ([xshift=14.6cm,yshift=-5cm]current page.north west) coordinate (A)--
     ([xshift=14.6cm,yshift=16.0cm]current page.south west) coordinate(B)
     ([xshift=14.6cm,yshift=-4cm]current page.north west) coordinate (A)--
     ([xshift=14.6cm,yshift=17.0cm]current page.south west) coordinate(B)
     ([xshift=14.6cm,yshift=-3cm]current page.north west) coordinate (A)--
     ([xshift=14.6cm,yshift=18.0cm]current page.south west) coordinate(B)
     ([xshift=14.6cm,yshift=-2cm]current page.north west) coordinate (A)--
     ([xshift=14.6cm,yshift=19.0cm]current page.south west) coordinate(B)
     ([xshift=14.6cm,yshift=-1.0cm]current page.north west) coordinate (A)--
     ([xshift=14.6cm,yshift=20.0cm]current page.south west) coordinate(B)
     ([xshift=14.6cm,yshift=0cm]current page.north west) coordinate (A)--
     ([xshift=14.6cm,yshift=21.0cm]current page.south west) coordinate(B);
\end{tikzpicture}
\fi
}

%change letter style to non-serife style
\renewcommand\familydefault{\sfdefault}

%custom footer
\addtokomafont{pagenumber}{\bfseries\color{white}}% <- white pagenumber
%\markdouble{footwidth=page} %footwidth=Breite :Offset :Offset
\tcbset{width=\textwidth+6em, coltext=white, colback=darkerblue, colframe=white}
\lefoot*{\pagemark}
\newcommand{\myrefoot}[1]{
	\refoot*{\begin{tcbox}[tcbox width=forced left, arc=2pt]{%
		\pagemark \hfill #1 \hspace{2em}
		%This is a\textbf{tcolorbox}. nn es ein Zweizeiler wird? Blablabla.
	}\end{tcbox}
	}
}
\myrefoot{sampletext even page}
\newcommand{\mylofoot}[1]{
	\lofoot*{\begin{tcbox}[tcbox width=forced left, arc=2pt]{%
		#1
	}\end{tcbox}
	}
}
\mylofoot{sampletext odd page}
\rofoot*{\pagemark}
